tcpserver.c File Reference
`#include "rubysocket.h"`

Go to the source code of this file.

## Functions

static VALUE | tcp_svr_init (int argc, VALUE *argv, VALUE sock)
static VALUE | tcp_accept (VALUE sock)
static VALUE | tcp_accept_nonblock (VALUE sock)
static VALUE | tcp_sysaccept (VALUE sock)
void | rsock_init_tcpserver (void)

## Function Documentation

void rsock_init_tcpserver | ( | void |  | ) |

Definition at line 132 of file tcpserver.c.

References rb_cTCPServer, rb_cTCPSocket, rb_define_class(), rb_define_method(), rsock_sock_listen(), tcp_accept(), tcp_accept_nonblock(), tcp_svr_init(), and tcp_sysaccept().

Referenced by rsock_init_socket_init().

static VALUE tcp_accept | ( | VALUE | sock | ) |

static

Definition at line 47 of file tcpserver.c.

References rb_io_t::fd, GetOpenFile, rb_cTCPSocket, and rsock_s_accept().

Referenced by rsock_init_tcpserver().

static VALUE tcp_accept_nonblock | ( | VALUE | sock | ) |

static

Definition at line 93 of file tcpserver.c.

References GetOpenFile, rb_cTCPSocket, and rsock_s_accept_nonblock().

Referenced by rsock_init_tcpserver().

static VALUE tcp_svr_init | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | sock
| ) |  |

static

Definition at line 27 of file tcpserver.c.

References INET_SERVER, Qnil, rb_scan_args(), and rsock_init_inetsock().

Referenced by rsock_init_tcpserver().

static VALUE tcp_sysaccept | ( | VALUE | sock | ) |

static

Definition at line 120 of file tcpserver.c.

References rb_io_t::fd, GetOpenFile, and rsock_s_accept().

Referenced by rsock_init_tcpserver().